Loading...
Searching...
No Matches
Halide::Runtime::Internal::MemoryRequest Struct Reference

`#include <memory_resources.h>`

## Public Attributes

size_t | offset = 0
size_t | size = 0
size_t | alignment = 0
bool | dedicated = false
MemoryProperties | properties

## Detailed Description

Definition at line 90 of file memory_resources.h.

## Member Data Documentation

## offset

size_t Halide::Runtime::Internal::MemoryRequest::offset = 0

Definition at line 91 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::RegionAllocator::conform(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::conform(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::conform_region_request(), and Halide::Runtime::Internal::BlockAllocator::reserve().

## size

size_t Halide::Runtime::Internal::MemoryRequest::size = 0

Definition at line 92 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::BlockAllocator::conform(), Halide::Runtime::Internal::RegionAllocator::conform(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::conform(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::conform_block_request(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::conform_region_request(), Halide::Runtime::Internal::BlockAllocator::reserve(), Halide::Runtime::Internal::RegionAllocator::reserve(), and Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::reserve().

## alignment

size_t Halide::Runtime::Internal::MemoryRequest::alignment = 0

Definition at line 93 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::RegionAllocator::conform(), and Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::conform().

## dedicated

bool Halide::Runtime::Internal::MemoryRequest::dedicated = false

Definition at line 94 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::conform_block_request(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::conform_region_request(), and Halide::Runtime::Internal::BlockAllocator::reserve().

## properties

MemoryProperties Halide::Runtime::Internal::MemoryRequest::properties

Definition at line 95 of file memory_resources.h.

Referenced by Halide::Runtime::Internal::BlockAllocator::conform(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::conform(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::conform_block_request(), Halide::Runtime::Internal::Vulkan::VulkanMemoryAllocator::conform_region_request(), and Halide::Runtime::Internal::BlockAllocator::reserve().

The documentation for this struct was generated from the following file:

- src/runtime/internal/memory_resources.h